<?php

if ( ! defined( 'ABSPATH' ) ) exit;

require_once plugin_dir_path( __FILE__  ) . '../helpers/docuchat_plugin_register.php';
require_once plugin_dir_path( __FILE__  ) . '../helpers/docuchat_plugin_activate.php';
require_once plugin_dir_path( __FILE__  ) . '../helpers/docuchat_plugin_deletePartialLocalData.php';
require_once plugin_dir_path( __FILE__  ) . '../helpers/docuchat_plugin_uploadFile.php';  
require_once plugin_dir_path( __FILE__  ) . '../helpers/docuchat_plugin_document_uploaded_status.php';
require_once plugin_dir_path( __FILE__  ) . '../helpers/docuchat_plugin_llmChat.php'; 

  
add_action( 'wp_ajax_register', 'docuchat_plugin_register' );
add_action( 'wp_ajax_activate', 'docuchat_plugin_activate' );
add_action( 'wp_ajax_document', 'docuchat_plugin_document_uploaded_status' );
add_action( 'wp_ajax_partialDelete', 'docuchat_plugin_deletePartialLocalData' );
add_action( 'wp_ajax_uploadFile', 'docuchat_plugin_uploadFile' );
add_action( 'wp_ajax_nopriv_llmChat', 'docuchat_plugin_llmChat' );
add_action( 'wp_ajax_llmChat', 'docuchat_plugin_llmChat' );
